Loading...
Searching...
No Matches
Timer Queue
Implementation API

Processing of timer events. More...

## Files

file | timer-queue.h
| pipewire/timer-queue.h

## Data Structures

struct | pw_timer

## Typedefs

typedef void(* | pw_timer_callback) (void *data)

## Functions

struct pw_timer_queue * | pw_timer_queue_new (struct pw_loop *loop)
void | pw_timer_queue_destroy (struct pw_timer_queue *queue)
int | pw_timer_queue_add (struct pw_timer_queue *queue, struct pw_timer *timer, struct timespec *abs_time, int64_t timeout_ns, pw_timer_callback callback, void *data)
int | pw_timer_queue_cancel (struct pw_timer *timer)

## Detailed Description

Processing of timer events.

## Typedef Documentation

## pw_timer_callback

typedef void(* pw_timer_callback) (void *data)

## Function Documentation

## pw_timer_queue_new()

struct pw_timer_queue * pw_timer_queue_new | ( | struct pw_loop * | loop | ) |

## pw_timer_queue_destroy()

void pw_timer_queue_destroy | ( | struct pw_timer_queue * | queue | ) |

## pw_timer_queue_add()

int pw_timer_queue_add | ( | struct pw_timer_queue * | queue,
|  | struct pw_timer * | timer,
|  | struct timespec * | abs_time,
|  | int64_t | timeout_ns,
|  | pw_timer_callback | callback,
|  | void * | data )

## pw_timer_queue_cancel()

int pw_timer_queue_cancel | ( | struct pw_timer * | timer | ) |